/**** CREATION FACTURE - MODIFICATION FACTURE ****/
function changeSociete(path, value)
{
	activeLoader();
   	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: {'value' : value, 'deviseBDD' : $("#deviseBDD").val(), 'deviseFacture' : $("#input_DEVISE").val(), 'CODE_FOUR' : $("#input_CODE_FOUR").val()}, 
		success : function(json){
			$("#deviseSociete").val(json.deviseSociete);
			$("#input_DEVISE").val(json.deviseFacture);
			$("#text_DEVISE").val(json.libelleDevise);
			$("#txDeviseSTE .input-group-addon").html(json.deviseSociete);
			affichageDevise(json.TX_DEVISE, json.TX_DEVSTE);
			
			$("#MODE_NUM").val(json.MODE_NUM);
			$("#label_numEnregistrement").html(json.texteLabel);
			if(json.MODE_NUM == 'A'){
				$("#input_numEnregistrement").attr({'readonly': 'readonly'}).val('');
			}
			else{
				$("#input_numEnregistrement").removeAttr('readonly');
			}

			desactiveLoader();
       }
    }); 
	desactiveLoader();
}

function changeFournisseur(path, value)
{
	activeLoader();
   	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: {'value' : value, 'DATE_ENR' : $("#input_DATE_ENR").val(), 'DATE_FAFO' : $("#input_DATE_FAFO").val(), 'deviseBDD' : $("#deviseBDD").val(), 'deviseSociete' : $("#deviseSociete").val()}, 
		success : function(json){
			if($("#input_NUM_CDE").val() == '')
			{
				$("#input_DEVISE").val(json.DEVISE);
				$("#text_DEVISE").val(json.libelleDevise);
				affichageDevise(json.TX_DEVISE, json.TX_DEVSTE);
				
				$("#input_COND_PAIE").val(json.COND_PAIE);
				condpaie = '';
				if(json.COND_PAIE != ''){
					condpaie = ' ('+json.COND_PAIE+')';
				}
				$("#text_COND_PAIE").val(json.COND_PAIE_LIBELLE+condpaie).removeAttr("error");
			
				$("#input_modepaie").val(json.MODE_PAIE);
				$("#text_modepaie").val(json.modepaie_LIBELLE).removeAttr("error");
				$("#input_DTAE_ECH").val(json.dateEch);
			}
			$("#input_TAUX_TVA").val(json.taux_tva);

			if($("#input_TOTAL_HT").val()!=''){
				calculTTC('input_TOTAL_HT', 'input_TAUX_TVA', 'input_TOTAL_TTC', 'input_MNT_TVA');
			}
			
			desactiveLoader();
       }
    }); 
	desactiveLoader();
}

function changeCde(path, value, pathCalculDate, form, mode)
{
	if(value != '')
	{
		activeLoader();
		$.ajax({
			url : path,
			type : 'POST',
			dataType : 'JSON',
			data: {'value' : value, 'deviseBDD' : $("#deviseBDD").val(), 'deviseSociete' : $("#deviseSociete").val(), 'TX_DEVISE' : $("#input_TX_DEVISE").val()}, 
			success : function(json){
				var input_NUM_CDE = $('#input_NUM_CDE').val();
				input_NUM_CDE = $.trim(input_NUM_CDE);

				$('#input_NUM_CDE').val(input_NUM_CDE);

				$("#input_DEVISE").val(json.DEVISE);
				$("#text_DEVISE").val(json.libelleDevise).removeAttr("error");
				affichageDevise(json.TX_DEVISE, json.TX_DEVSTE);
				
				$("#input_COND_PAIE").val(json.COND_PAIE);
				condpaie = '';
				if(json.COND_PAIE != ''){
					condpaie = ' ('+json.COND_PAIE+')';
				}
				$("#text_COND_PAIE").val(json.COND_PAIE_LIBELLE+condpaie).removeAttr("error");

				$("#input_modepaie").val(json.MODE_PAIE);
				$("#text_modepaie").val(json.modepaie_LIBELLE).removeAttr("error");			
				
				calculDateFacturefournisseur(pathCalculDate, form);
				$("#zoom_CODE_FOUR").hide();
				$("#text_CODE_FOUR").attr("readonly", 'readonly');
				if($('#input_CODE_FOUR').val() == ''){					
					$("#input_CODE_FOUR").val(json.CODE_FOU);
					$("#text_CODE_FOUR").val(json.RS_FOU+' ('+json.CODE_FOU+')').removeAttr("error");					
					$('#input_CODE_FOUR').trigger('change');
				}				
				desactiveLoader();
			}
		}); 
		desactiveLoader();
	} else if(mode == 'creation') {
		$('#input_CODE_FOUR').trigger('change');
		$("#input_CODE_FOUR + span").show();
		$("#text_CODE_FOUR").removeAttr("readonly");
	}else{
		$('#input_CODE_FOUR').trigger('change');
	}
}


function changeDevise(path, value)
{
	activeLoader();
	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: {'value' : value, 'deviseBDD' : $("#deviseBDD").val(), 'deviseSociete' : $("#deviseSociete").val()}, 
		success : function(json){
			affichageDevise(json.TX_DEVISE, json.TX_DEVSTE);
			desactiveLoader();
		},
	});
	desactiveLoader();
}

function affichageDevise(TX_DEVISE, TX_DEVSTE){
	$(".montant_fact .input-group-addon").html($("#input_DEVISE").val());

	$("#input_TX_DEVISE").val(parseFloat(TX_DEVISE).toFixed(7));
	$("#input_TX_DEVSTE").val(parseFloat(TX_DEVSTE).toFixed(7));

	nb_tx_hide = 0;

	if($("#deviseBDD").val() == $("#input_DEVISE").val()){
		$('#txDevise').hide();
		nb_tx_hide++;
	}
	else{
		$('#txDevise').show();
	}
	
	if($("#deviseBDD").val() != $("#deviseSociete").val() && $("#deviseSociete").val() != $("#input_DEVISE").val()){
		$('#txDeviseSTE').show();
	}
	else{
		$('#txDeviseSTE').hide();
		nb_tx_hide++;
	}

	// Si les 2 champs sont cachés, on cache également le label
	if(nb_tx_hide == 2){
		$('#labelValeurDevise').hide();
	}else{
		$('#labelValeurDevise').show();
	}
}

function calculDateFacturefournisseur(path, form)
{
	activeLoader();
	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: $('#'+form).serialize(), 
		success : function(json){
			$("#input_DATE_PER").val(json.DATE_PER);
			$("#input_DTAE_ECH").val(json.DTAE_ECH);
			desactiveLoader();
		}
    });
	desactiveLoader();
}

function calculTTC(destinationHT, destinationTauxTVA, destinationTTC, destinationMontantTVA)
{
	activeLoader();
	value = $("#"+destinationHT).val().replace(",", ".").replace(new RegExp(' ', 'g'), '');	
	tauxTva = $("#"+destinationTauxTVA).val().replace(",", ".").replace(new RegExp(' ', 'g'), '');

	if(value!=''){
		tblValue = value.split('.');	
		if(!tblValue[1] || tblValue[1].length <= 2){		
			$("#"+destinationHT).val(formatNombre(parseFloat(value).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
		}
		if(tauxTva!=0){	
			total = value*(1+(tauxTva/100));	
			$("#"+destinationTTC).val(formatNombre(parseFloat(total).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
			$("#"+destinationMontantTVA).val(formatNombre(parseFloat(total-value).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
		}
		else{
			$("#"+destinationTTC).val(formatNombre(parseFloat(value).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
			$("#"+destinationMontantTVA).val(formatNombre(parseFloat(0).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
		}
	}
	else{
		$("#"+destinationHT).val('');
		$("#"+destinationTTC).val('').removeClass( "error white-tooltip" ).attr("data-original-title", '');
		$("#"+destinationMontantTVA).val('').removeClass( "error white-tooltip" ).attr("data-original-title", '');
	}

	desactiveLoader();
}

function calculTVA(object, destinationHT, destinationMontantTVA)
{
	activeLoader();
	value = object.value.replace(",", ".").replace(new RegExp(' ', 'g'), '');
	montantHT = $("#"+destinationHT).val().replace(",", ".").replace(new RegExp(' ', 'g'), '');
	var somme = value-montantHT;
	
	tblValue = value.split('.');	
	if(!tblValue[1] || tblValue[1].length <= 2){		
		$(object).val(formatNombre(parseFloat(value).toFixed(2), ' '));
	}
	
	if(value==0){
		$("#"+destinationMontantTVA).val(formatNombre(parseFloat(0).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
	}else{
		$("#"+destinationMontantTVA).val(formatNombre(parseFloat(somme).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
	}
	desactiveLoader();
}


function calculTTCByTVA(object, destinationTTC, destinationHT)
{
	activeLoader();
	value = object.value.replace(",", ".").replace(new RegExp(' ', 'g'), '');
	montantHT = $("#"+destinationHT).val().replace(",", ".").replace(new RegExp(' ', 'g'), '');	
	var total = parseFloat(value) + parseFloat(montantHT | 0);

	tblValue = value.split('.');	
	if(!tblValue[1] || tblValue[1].length <= 2){		
		$(object).val(formatNombre(parseFloat(value).toFixed(2), ' '));
	}
	
	$("#"+destinationTTC).val(formatNombre(parseFloat(total).toFixed(2), ' ')).removeClass( "error white-tooltip" ).attr("data-original-title", '');
	desactiveLoader();
}

function getLONGCP(path, value)
{
	activeLoader();
   	$.ajax({
		url : path,
		type : 'POST',
		dataType : 'JSON',
		data: {'PAYS' : value}, 
		success : function(json){
			LONGCP = json.LONGCP;
			if(json.LONGCP=='0')
				LONGCP = '10';
			$('#LONGCP').val(json.LONGCP);
			desactiveLoader();
      	}
    }); 
	desactiveLoader();
}
